<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_161) on Fri Nov 23 22:08:06 CET 2018 -->
<title>G-Index</title>
<meta name="date" content="2018-11-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">C</a>&nbsp;<a href="index-2.html">D</a>&nbsp;<a href="index-3.html">F</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">I</a>&nbsp;<a href="index-6.html">M</a>&nbsp;<a href="index-7.html">Q</a>&nbsp;<a href="index-8.html">S</a>&nbsp;<a href="index-9.html">T</a>&nbsp;<a href="index-10.html">U</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../fr/epita/quiz/services/data/em/GenericDAO.html" title="class in fr.epita.quiz.services.data.em"><span class="typeNameLink">GenericDAO</span></a>&lt;<a href="../fr/epita/quiz/services/data/em/GenericDAO.html" title="type parameter in GenericDAO">T</a>&gt; - Class in <a href="../fr/epita/quiz/services/data/em/package-summary.html">fr.epita.quiz.services.data.em</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/em/GenericDAO.html#GenericDAO--">GenericDAO()</a></span> - Constructor for class fr.epita.quiz.services.data.em.<a href="../fr/epita/quiz/services/data/em/GenericDAO.html" title="class in fr.epita.quiz.services.data.em">GenericDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/epita/quiz/services/data/GenericDAO.html" title="class in fr.epita.quiz.services.data"><span class="typeNameLink">GenericDAO</span></a>&lt;<a href="../fr/epita/quiz/services/data/GenericDAO.html" title="type parameter in GenericDAO">T</a>&gt; - Class in <a href="../fr/epita/quiz/services/data/package-summary.html">fr.epita.quiz.services.data</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/GenericDAO.html#GenericDAO--">GenericDAO()</a></span> - Constructor for class fr.epita.quiz.services.data.<a href="../fr/epita/quiz/services/data/GenericDAO.html" title="class in fr.epita.quiz.services.data">GenericDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/em/GenericDAO.html#getById-java.lang.Class-">getById(Class&lt;? extends Serializable&gt;)</a></span> - Method in class fr.epita.quiz.services.data.em.<a href="../fr/epita/quiz/services/data/em/GenericDAO.html" title="class in fr.epita.quiz.services.data.em">GenericDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/GenericDAO.html#getById-java.io.Serializable-">getById(Serializable)</a></span> - Method in class fr.epita.quiz.services.data.<a href="../fr/epita/quiz/services/data/GenericDAO.html" title="class in fr.epita.quiz.services.data">GenericDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/datamodel/MCQChoice.html#getChoiceLabel--">getChoiceLabel()</a></span> - Method in class fr.epita.quiz.datamodel.<a href="../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/datamodel/MCQChoice.html#getId--">getId()</a></span> - Method in class fr.epita.quiz.datamodel.<a href="../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/datamodel/Question.html#getId--">getId()</a></span> - Method in class fr.epita.quiz.datamodel.<a href="../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html#getId--">getId()</a></span> - Method in class fr.epita.quiz.services.web.api.transport.<a href="../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/web/api/transport/QuestionMessage.html#getId--">getId()</a></span> - Method in class fr.epita.quiz.services.web.api.transport.<a href="../fr/epita/quiz/services/web/api/transport/QuestionMessage.html" title="class in fr.epita.quiz.services.web.api.transport">QuestionMessage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/Commitable.html#getInstance--">getInstance()</a></span> - Method in interface fr.epita.quiz.services.data.<a href="../fr/epita/quiz/services/data/Commitable.html" title="interface in fr.epita.quiz.services.data">Commitable</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html#getLabel--">getLabel()</a></span> - Method in class fr.epita.quiz.services.web.api.transport.<a href="../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/web/api/transport/QuestionMessage.html#getMcqChoices--">getMcqChoices()</a></span> - Method in class fr.epita.quiz.services.web.api.transport.<a href="../fr/epita/quiz/services/web/api/transport/QuestionMessage.html" title="class in fr.epita.quiz.services.web.api.transport">QuestionMessage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/datamodel/MCQChoice.html#getQuestion--">getQuestion()</a></span> - Method in class fr.epita.quiz.datamodel.<a href="../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/datamodel/Question.html#getQuestionLabel--">getQuestionLabel()</a></span> - Method in class fr.epita.quiz.datamodel.<a href="../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/web/api/transport/QuestionMessage.html#getQuestionLabel--">getQuestionLabel()</a></span> - Method in class fr.epita.quiz.services.web.api.transport.<a href="../fr/epita/quiz/services/web/api/transport/QuestionMessage.html" title="class in fr.epita.quiz.services.web.api.transport">QuestionMessage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/em/GenericDAO.html#getType--">getType()</a></span> - Method in class fr.epita.quiz.services.data.em.<a href="../fr/epita/quiz/services/data/em/GenericDAO.html" title="class in fr.epita.quiz.services.data.em">GenericDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/GenericDAO.html#getType--">getType()</a></span> - Method in class fr.epita.quiz.services.data.<a href="../fr/epita/quiz/services/data/GenericDAO.html" title="class in fr.epita.quiz.services.data">GenericDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/MCQChoiceDAO.html#getType--">getType()</a></span> - Method in class fr.epita.quiz.services.data.<a href="../fr/epita/quiz/services/data/MCQChoiceDAO.html" title="class in fr.epita.quiz.services.data">MCQChoiceDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/data/QuestionDAO.html#getType--">getType()</a></span> - Method in class fr.epita.quiz.services.data.<a href="../fr/epita/quiz/services/data/QuestionDAO.html" title="class in fr.epita.quiz.services.data">QuestionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/datamodel/MCQChoice.html#getValid--">getValid()</a></span> - Method in class fr.epita.quiz.datamodel.<a href="../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html#getValid--">getValid()</a></span> - Method in class fr.epita.quiz.services.web.api.transport.<a href="../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">C</a>&nbsp;<a href="index-2.html">D</a>&nbsp;<a href="index-3.html">F</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">I</a>&nbsp;<a href="index-6.html">M</a>&nbsp;<a href="index-7.html">Q</a>&nbsp;<a href="index-8.html">S</a>&nbsp;<a href="index-9.html">T</a>&nbsp;<a href="index-10.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
